View Issue Details

IDProjectCategoryView StatusLast Update
0001622NoesisGUIC++ SDKpublic2020-04-24 19:01
ReporterdaldegamAssigned Tojsantos 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.6 
Target Version3.0.0Fixed in Version3.0.0 
Summary0001622: NativeSDK - Android platform android_x86_64
DescriptionHello!

I am studying NoesisGui, and doing some tests.
I downloaded "NoesisGUI-NativeSDK-2.2.6", and noticed that the android_x86_64 platform is missing (I'm not talking about android_arm64).

My game has platforms with Android Studio nomenclatures:
arm64-v8a (in the sdk I believe it is: Bin/android_arm64/libNoesis.so)
armeabi-v7a (in the sdk I believe it is: Bin/android_arm/libNoesis.so)
x86 (on sdk I believe it is: Bin/android_x86/libNoesis.so)
x86_64 (sdk does not have the binary for this platform!)
Is it an error in the SDK distribution or is there really no support for android_x86_64 in NativeSDK?

When I compiling my code i got this message from compiler:
- This app only has 32-bit [x86] native libraries. Beginning August 1, 2019 Google Play store requires that all apps that include native libraries must provide 64-bit versions. For more information, visit https://g.co/64-bit-requirement

NoesisGUI will support 64 bits version for Android?

Thanks.
Leandro Daldegam
TagsNo tags attached.
PlatformAny

Activities

jsantos

jsantos

2020-01-28 18:05

manager   ~0006079

Thanks for the feedback! We are adding support for this in NoesisGUI 3.0

Issue History

Date Modified Username Field Change
2020-01-28 13:57 daldegam New Issue
2020-01-28 18:05 jsantos Assigned To => jsantos
2020-01-28 18:05 jsantos Status new => assigned
2020-01-28 18:05 jsantos Target Version => 3.0.0
2020-01-28 18:05 jsantos Note Added: 0006079
2020-04-24 19:01 jsantos Status assigned => resolved
2020-04-24 19:01 jsantos Resolution open => fixed
2020-04-24 19:01 jsantos Fixed in Version => 3.0.0